package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*逆向表
* @author quyixiao
* @since 2025-10-16
*/

@Data
@TableName("vv_reverse_order")
public class VvReverseOrderEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvReverseOrderEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";                                            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                                        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                                        // 修改时间
    public final static String trade_order_id = CLASS_NAME + "trade_order_id";                                  // 订单号
    public final static String status_ = CLASS_NAME + "status";                                                 // 状态 buyer_apply_reverse_wait_seller_agree  等待卖家同意 , wait_buyer_post 等待买家寄东西,  shipping 运送中, delivered 妥投, reject_delivered 拒绝妥投, agree_refunded 同意退款 ,refunded 退款完成 ，close 退款关闭
    public final static String refund_amount = CLASS_NAME + "refund_amount";                                    // 退款金额
    public final static String refund_trade_order_line_count = CLASS_NAME + "refund_trade_order_line_count";    // 退款子单笔数
    public final static String refund_type = CLASS_NAME + "refund_type";                                        // 退款类型，1 仅退款， 2 退款退货
    public final static String gmt_buyer_apply_refund = CLASS_NAME + "gmt_buyer_apply_refund";                  // 买家申请退款时间
    public final static String gmt_seller_agree_return = CLASS_NAME + "gmt_seller_agree_return";                // 卖家同意退款
    public final static String gmt_buyer_post = CLASS_NAME + "gmt_buyer_post";                                  // 买家邮寄时间
    public final static String gmt_delivered = CLASS_NAME + "gmt_delivered";                                    // 妥投时间
    public final static String gmt_reject_delivered = CLASS_NAME + "gmt_reject_delivered";                      // 拒绝妥投时间
    public final static String gmt_agree_refunded = CLASS_NAME + "gmt_agree_refunded";                          // 同意退款时间
    public final static String gmt_refunded = CLASS_NAME + "gmt_refunded";                                      // 退款完成时间
    public final static String gmt_close = CLASS_NAME + "gmt_close";                                            // 退款关闭时间
    public final static String track_number = CLASS_NAME + "track_number";                                      // 物流追踪号
    public final static String gmt_cancel = CLASS_NAME + "gmt_cancel";                                          // 订单取消时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";                              // 创建时间撮
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";                              // 修改时间撮
    public final static String refund_count = CLASS_NAME + "refund_count";                                      // 退款子单数量
    public final static String refund_reason = CLASS_NAME + "refund_reason";                                    // 退款原因
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //订单号
    private Long tradeOrderId;
    //状态 buyer_apply_reverse_wait_seller_agree  等待卖家同意 , wait_buyer_post 等待买家寄东西,  shipping 运送中, delivered 妥投, reject_delivered 拒绝妥投, agree_refunded 同意退款 ,refunded 退款完成 ，close 退款关闭
    private String status;
    //退款金额
    private BigDecimal refundAmount;
    //退款子单笔数
    private Integer refundTradeOrderLineCount;
    //退款类型，1 仅退款， 2 退款退货
    private Integer refundType;
    //买家申请退款时间
    private Date gmtBuyerApplyRefund;
    //卖家同意退款
    private Date gmtSellerAgreeReturn;
    //买家邮寄时间
    private Date gmtBuyerPost;
    //妥投时间
    private Date gmtDelivered;
    //拒绝妥投时间
    private Date gmtRejectDelivered;
    //同意退款时间
    private Date gmtAgreeRefunded;
    //退款完成时间
    private Date gmtRefunded;
    //退款关闭时间
    private Date gmtClose;
    //物流追踪号
    private String trackNumber;
    //订单取消时间
    private Date gmtCancel;
    //创建时间撮
    private Long createTimestamp;
    //修改时间撮
    private Long modifyTimestamp;
    //退款子单数量
    private Integer refundCount;
    //退款原因
    private String refundReason;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 订单号 
     * @return
     */
    public Long getTradeOrderId() {
        return tradeOrderId;
    }
    /**
     * 订单号 
     * @param tradeOrderId
     */
    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    /**
     * 状态 buyer_apply_reverse_wait_seller_agree  等待卖家同意 , wait_buyer_post 等待买家寄东西,  shipping 运送中, delivered 妥投, reject_delivered 拒绝妥投, agree_refunded 同意退款 ,refunded 退款完成 ，close 退款关闭 
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * 状态 buyer_apply_reverse_wait_seller_agree  等待卖家同意 , wait_buyer_post 等待买家寄东西,  shipping 运送中, delivered 妥投, reject_delivered 拒绝妥投, agree_refunded 同意退款 ,refunded 退款完成 ，close 退款关闭 
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 退款金额 
     * @return
     */
    public BigDecimal getRefundAmount() {
        return refundAmount;
    }
    /**
     * 退款金额 
     * @param refundAmount
     */
    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * 退款子单笔数 
     * @return
     */
    public Integer getRefundTradeOrderLineCount() {
        return refundTradeOrderLineCount;
    }
    /**
     * 退款子单笔数 
     * @param refundTradeOrderLineCount
     */
    public void setRefundTradeOrderLineCount(Integer refundTradeOrderLineCount) {
        this.refundTradeOrderLineCount = refundTradeOrderLineCount;
    }

    /**
     * 退款类型，1 仅退款， 2 退款退货 
     * @return
     */
    public Integer getRefundType() {
        return refundType;
    }
    /**
     * 退款类型，1 仅退款， 2 退款退货 
     * @param refundType
     */
    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    /**
     * 买家申请退款时间 
     * @return
     */
    public Date getGmtBuyerApplyRefund() {
        return gmtBuyerApplyRefund;
    }
    /**
     * 买家申请退款时间 
     * @param gmtBuyerApplyRefund
     */
    public void setGmtBuyerApplyRefund(Date gmtBuyerApplyRefund) {
        this.gmtBuyerApplyRefund = gmtBuyerApplyRefund;
    }

    /**
     * 卖家同意退款 
     * @return
     */
    public Date getGmtSellerAgreeReturn() {
        return gmtSellerAgreeReturn;
    }
    /**
     * 卖家同意退款 
     * @param gmtSellerAgreeReturn
     */
    public void setGmtSellerAgreeReturn(Date gmtSellerAgreeReturn) {
        this.gmtSellerAgreeReturn = gmtSellerAgreeReturn;
    }

    /**
     * 买家邮寄时间 
     * @return
     */
    public Date getGmtBuyerPost() {
        return gmtBuyerPost;
    }
    /**
     * 买家邮寄时间 
     * @param gmtBuyerPost
     */
    public void setGmtBuyerPost(Date gmtBuyerPost) {
        this.gmtBuyerPost = gmtBuyerPost;
    }

    /**
     * 妥投时间 
     * @return
     */
    public Date getGmtDelivered() {
        return gmtDelivered;
    }
    /**
     * 妥投时间 
     * @param gmtDelivered
     */
    public void setGmtDelivered(Date gmtDelivered) {
        this.gmtDelivered = gmtDelivered;
    }

    /**
     * 拒绝妥投时间 
     * @return
     */
    public Date getGmtRejectDelivered() {
        return gmtRejectDelivered;
    }
    /**
     * 拒绝妥投时间 
     * @param gmtRejectDelivered
     */
    public void setGmtRejectDelivered(Date gmtRejectDelivered) {
        this.gmtRejectDelivered = gmtRejectDelivered;
    }

    /**
     * 同意退款时间 
     * @return
     */
    public Date getGmtAgreeRefunded() {
        return gmtAgreeRefunded;
    }
    /**
     * 同意退款时间 
     * @param gmtAgreeRefunded
     */
    public void setGmtAgreeRefunded(Date gmtAgreeRefunded) {
        this.gmtAgreeRefunded = gmtAgreeRefunded;
    }

    /**
     * 退款完成时间 
     * @return
     */
    public Date getGmtRefunded() {
        return gmtRefunded;
    }
    /**
     * 退款完成时间 
     * @param gmtRefunded
     */
    public void setGmtRefunded(Date gmtRefunded) {
        this.gmtRefunded = gmtRefunded;
    }

    /**
     * 退款关闭时间 
     * @return
     */
    public Date getGmtClose() {
        return gmtClose;
    }
    /**
     * 退款关闭时间 
     * @param gmtClose
     */
    public void setGmtClose(Date gmtClose) {
        this.gmtClose = gmtClose;
    }

    /**
     * 物流追踪号 
     * @return
     */
    public String getTrackNumber() {
        return trackNumber;
    }
    /**
     * 物流追踪号 
     * @param trackNumber
     */
    public void setTrackNumber(String trackNumber) {
        this.trackNumber = trackNumber;
    }

    /**
     * 订单取消时间 
     * @return
     */
    public Date getGmtCancel() {
        return gmtCancel;
    }
    /**
     * 订单取消时间 
     * @param gmtCancel
     */
    public void setGmtCancel(Date gmtCancel) {
        this.gmtCancel = gmtCancel;
    }

    /**
     * 创建时间撮 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间撮 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间撮 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间撮 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 退款子单数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退款子单数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 退款原因 
     * @return
     */
    public String getRefundReason() {
        return refundReason;
    }
    /**
     * 退款原因 
     * @param refundReason
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    @Override
    public String toString() {
        return "VvReverseOrderEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",tradeOrderId=" + tradeOrderId +
                ",status=" + status +
                ",refundAmount=" + refundAmount +
                ",refundTradeOrderLineCount=" + refundTradeOrderLineCount +
                ",refundType=" + refundType +
                ",gmtBuyerApplyRefund=" + gmtBuyerApplyRefund +
                ",gmtSellerAgreeReturn=" + gmtSellerAgreeReturn +
                ",gmtBuyerPost=" + gmtBuyerPost +
                ",gmtDelivered=" + gmtDelivered +
                ",gmtRejectDelivered=" + gmtRejectDelivered +
                ",gmtAgreeRefunded=" + gmtAgreeRefunded +
                ",gmtRefunded=" + gmtRefunded +
                ",gmtClose=" + gmtClose +
                ",trackNumber=" + trackNumber +
                ",gmtCancel=" + gmtCancel +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",refundCount=" + refundCount +
                ",refundReason=" + refundReason +
                "}";
    }
}